Update xml-to-html5 filter to not use minidom

11/13/2012 05:44 AM - Luke Murphey

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.1   

Description

The filter for rendering XML as HTML5 ought to be replaced such that it doesn't use minidom but uses something faster (like lxml).

Associated revisions

Revision 229 - 12/05/2012 05:19 PM - Luke Murphey

Added a XML to HTML5 converter that doesn't use minidom. Closes #436.

Revision 229 - 12/05/2012 05:19 PM - Luke Murphey

Added a XML to HTML5 converter that doesn't use minidom. Closes #436.

Revision 221 - 12/05/2012 05:19 PM - Luke Murphey

Added a XML to HTML5 converter that doesn't use minidom. Closes #436.

History

#1 - 11/13/2012 06:45 AM - Luke Murphey

- Subject changed from Update xml-to-html5 filter to not minidom to Update xml-to-html5 filter to not use minidom

#2 - 11/17/2012 07:01 PM - Luke Murphey

- Target version set to 1.0

#3 - 12/01/2012 10:28 AM - Luke Murphey

- Target version changed from 1.0 to 0.2

#4 - 12/04/2012 06:39 AM - Luke Murphey

- Status changed from New to In Progress

#5 - 12/05/2012 05:55 AM - Luke Murphey

Planning on using HTMLParser based on the performance data in: http://blog.ianbicking.org/2008/03/30/python-html-parser-performance/

#6 - 12/05/2012 05:13 PM - Luke Murphey

I replaced minidom with HtmlParser. Performance did not increase noticeably. 10,000 calls took 3.7 seconds with minidom; 3.5 seconds with

HtmlParser

#7 - 12/05/2012 10:28 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset r229.
http://blog.ianbicking.org/2008/03/30/python-html-parser-performance/
https://lukemurphey.net/projects/ancient-text-reader/repository/revisions/229


#8 - 12/06/2012 03:06 AM - Luke Murphey

- Target version changed from 0.2 to 0.1
